/*
 * List of Win32 implementations
 */
typedef enum {
    W32_MS,             /* Microsoft implementation of Win32,
                           reported version of windows corresponds to real platform */
    W32_WINE            /* Wine Win32 implementation */
} w32_impl;

w32_impl get_w32_impl();

void _start_todo(int condition, char *descr, char *file, int line);
void _end_todo(char *file, int line);

/* TODO block. Not thread-safe.
   Params:
     - condition - condition when TODO is active.
     - descr - TODO description.
*/
#define START_TODO(condition, descr) \
    { _start_todo(condition, descr, __FILE__, __LINE__)
#define END_TODO _end_todo(__FILE__, __LINE__);}

void _ok(int condition, char *msg, char *file, int line);

#define ok(condition, msg) _ok(condition, msg, __FILE__, __LINE__)
